> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a schema



## OpenAPI

````yaml /openapi.json get /schemas/{id}
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /schemas/{id}:
    get:
      tags:
        - Schema
      summary: Get a schema
      operationId: getSchema
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Schema retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Schema'
        '404':
          description: Schema not found
components:
  schemas:
    Schema:
      type: object
      properties:
        id:
          type: string
          description: The id of the schema
          example: 123e4567-e89b-12d3-a456-426614174000
        name:
          type: string
          description: The name of the schema
          example: My Schema
        schema:
          type: object
          description: The schema
          example:
            foo: bar
      required:
        - id
        - name
        - schema

````